LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices



Reply
 
Search this Thread
Old 10-27-2010, 11:22 AM   #1
vishesh
Member
 
Registered: Feb 2008
Distribution: Fedora,RHEL,Ubuntu
Posts: 661

Rep: Reputation: 66
How to install libpcap version 1 on centos 5


Dear all
I am trying to install libpcap version 1 on my centos 5.5 (which supply libpcap 0.9.4 as built in). I need libpcap>=1.0 to install snort 2.9. please guide in right direction. I tried to install by downloading source code from tcpdump.org but failed to update libpcap-0.9.4 by libpcap-1.0.0.

Thanks

Last edited by vishesh; 10-27-2010 at 11:24 AM.
 
Old 10-27-2010, 02:10 PM   #2
unSpawn
Moderator
 
Registered: May 2001
Posts: 27,688
Blog Entries: 54

Rep: Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955
Quote:
Originally Posted by vishesh View Post
failed to update libpcap-0.9.4 by libpcap-1.0.0.
Using Centos means first and foremost using available package management. So what exactly (post exact output) failed after you built the RPM and tried to 'yum update /path/to/libpcap-1.0.0-1.*.rpm'?
 
Old 10-27-2010, 11:48 PM   #3
vishesh
Member
 
Registered: Feb 2008
Distribution: Fedora,RHEL,Ubuntu
Posts: 661

Original Poster
Rep: Reputation: 66
Thanks for response
But libpcap-0.9.4 is most updated version of libpcap present in centos repository. But i need at least libpcap-1.0.0

Thanks
 
Old 10-28-2010, 12:56 AM   #4
vishesh
Member
 
Registered: Feb 2008
Distribution: Fedora,RHEL,Ubuntu
Posts: 661

Original Poster
Rep: Reputation: 66
Gud news , finally i did successfull installation. I downloaded source code of libpcap and snort and done manual installation, instead of using rpm.

Thanks
 
Old 10-28-2010, 11:30 AM   #5
unSpawn
Moderator
 
Registered: May 2001
Posts: 27,688
Blog Entries: 54

Rep: Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955Reputation: 2955
Quote:
Originally Posted by vishesh View Post
Gud news
If you say so.


Quote:
Originally Posted by vishesh View Post
done manual installation, instead of using rpm.

Thanks
No need to thank me for anything because basically you ignored whatever I wrote.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
How to upgrade php from version 5.2.10 to version 5.3.3 on Centos ashlule1 Linux - Newbie 3 10-18-2010 03:55 AM
Which version of centos should i install? shadiadiph Linux - Newbie 10 03-20-2010 07:30 AM
How can I install libpcap/BerkeleyDB 1.85 on xubuntu sudo@root Linux - Newbie 1 07-29-2009 01:59 PM
How to install latest version of Firefox on CentOS Dmjmusser Linux - Software 3 02-20-2007 01:02 PM
libpcap install errors realnewatthis Linux - Networking 1 01-10-2005 08:48 AM


All times are GMT -5. The time now is 05:43 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration